package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UpdateAccountUseAction.class */
public class UpdateAccountUseAction extends LifeAction {
    private String accountFieldName;
    private static final String UPDATE_ACCOUNT_LASTUSE_TIME_SQL = "UPDATE PB_ACCINF SET AIF_LASTUSE = ? WHERE AIF_CSTNO = ? AND\tAIF_ACCNO = ?";

    public String execute(Context context) throws GENEException {
        String account = (String) context.getDataValue(this.accountFieldName);
        IndexedCollection accountIcoll = context.getDataElement("session_iAccountInfo");
        String lastUseTime = LifeStandard.getServerTime("yyyyMMddHHmmss");
        String customerId = (String) context.getDataValue("customerId");
        for (int i = 0; i < accountIcoll.size(); i++) {
            String tempAccountNo = (String) accountIcoll.getElementAt(i).getDataValue("accountNo");
            if (account.equals(tempAccountNo)) {
                break;
            }
        }
        Connection connection = null;
        List inputList = new ArrayList();
        try {
            try {
                inputList.add(lastUseTime);
                inputList.add(customerId);
                inputList.add(account);
                Connection connection2 = LifeDBAccess.getConnection();
                connection = connection2;
                LifeDBAccess.executeSQLUpdate(connection2, UPDATE_ACCOUNT_LASTUSE_TIME_SQL, inputList);
                if (connection != null) {
                    try {
                        LifeDBAccess.releaseConnection(connection);
                        return "0";
                    } catch (Exception ex) {
                        Trace.logError("LifeJDBC", "数据库操作异常", ex);
                        throw new GENEException(ex);
                    }
                }
                return "0";
            } catch (GENEException ex2) {
                Trace.logError("LifeAction", "交易异常", ex2);
                throw ex2;
            }
        } catch (Throwable th) {
            if (connection != null) {
                try {
                    LifeDBAccess.releaseConnection(connection);
                } catch (Exception ex3) {
                    Trace.logError("LifeJDBC", "数据库操作异常", ex3);
                    throw new GENEException(ex3);
                }
            }
            throw th;
        }
    }

    public String getAccountFieldName() {
        return this.accountFieldName;
    }

    public void setAccountFieldName(String accountFieldName) {
        this.accountFieldName = accountFieldName;
    }
}
